FROM php:fpm-alpine

WORKDIR var/www/project

COPY app .
COPY .env .

RUN apk update && \
    apk add libpq-dev && \
    docker-php-ext-install pdo pdo_pgsql pgsql

ENV COMPOSER_ALLOW_SUPERUSER=1
RUN curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/local/bin --filename=composer
RUN composer install

CMD ["php-fpm"]